'use strict';

/* Controllers */

var app = angular.module('nggrid.controllers', []);
 
// Clear browser cache (in development mode)
//
// http://stackoverflow.com/questions/14718826/angularjs-disable-partial-caching-on-dev-machine

 
app.controller('UserTaskCtrl', function($scope, $http,UserTaskService) {

	 $scope.filterOptions = {
		filterText: ''
	  };

	  $scope.doSearchTasks = function () {
	     $scope.taskTabl = true;
	     $scope.editT = false; 
		 var url = '/jbpmnguiwebexample/rest/json/tasks/pending?user='+$scope.user;
		 $scope.taskData = UserTaskService.getUserTaskData(url);
	 }
 
		$scope.editT = false;
		$scope.id = "";
		$scope.name = "";    
		var editContactCellTemplate = '<input type="button" value="Work on Task" ng-click="OnContactEdit(row.entity)"></input>';

			$scope.gridtwoOptions = {
				data: 'taskData',
				multiSelect : false,
				enablePaging: true,
				showFilter: true,
				enableColumnResize: true,
                filterOptions: $scope.filterOptions,
				columnDefs: [{field: 'id', displayName: 'ID', enableCellEdit: false, width: 40, colFilterText: ''},
							 {field:'name', displayName:'Name', enableCellEdit: true, width: 140, colFilterText: '' },
							 {field:'status', displayName:'Status', enableCellEdit: true,width: 90, colFilterText: '' },
							 {field:'processId', displayName:'Process ID', enableCellEdit: true, width:95, colFilterText: '' },
							 {field:'owner', displayName:'Owner', enableCellEdit: true,width: 125, colFilterText: '' },
							 {field:'id', displayName:'Task Action', enableCellEdit: true, width:125,cellTemplate: editContactCellTemplate, colFilterText: ''}]
			};
			
			
			$scope.OnContactEdit = function(value){
			   
				$scope.id = value.id;
				$scope.name = value.name;
				$scope.owner = value.owner;
				$scope.processId = value.processId;
				$scope.editT = true;
				
				  var url = '/jbpmnguiwebexample/rest/json/tasks/processparams?processId=' +value.processId;
                $scope.tastdetId = value.id;
	            $scope.processId = value.processId;
	   
	            $http.post(url).then(function (res) {
					 $scope.taskdetldata = res.data;  
					 $scope.quantity = res.data.quantity;
					 $scope.modelNumber = res.data.modelNumber;
					 $scope.priority = res.data.priority;
			    })
			}
			
			$scope.CompleteTask = function(priority,modelNumber,quantity) {
			
			    
				var url = '/jbpmnguiwebexample/rest/json/tasks/compleTask?user=' +$scope.user +'&taskId=' +$scope.tastdetId  +'&priority=' +priority +'&modelNumber=' +modelNumber +'&quantity=' +quantity;
				$scope.taskData  = UserTaskService.getUserTaskData(url);
				if($scope.taskData != null){
				 $scope.editT = false;
			   };
			 }
			
});

app.controller('AdminProcCtrl', function($scope, $http,UserTaskService) {

 
    $scope.CreateProcess = function () {
	
	  $scope.tskState = { show: true }
	  var url = '/jbpmnguiwebexample/rest/json/tasks/createProcess?' + 'priority=' +$scope.priority +  '&modelNumber=' +$scope.modelNumber +'&quantity=' +$scope.quantity;
	  $scope.procStat = UserTaskService.getUserTaskData(url); 
         
		 if($scope.procStat)
	       $scope.procCreate = {show: true};
    
    }
   });
   
    
